/*
One of those Weeks Day 6
Copyright (c) 2008-2009 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.converse
{
	
	/**
	 * The interface for the scripting language support of converse script.
	 * The idea here is that scripting is handled by command strings and querry
	 * strings. The program using scripting can override the default scripting
	 * support to support it's own special (game specific) quarries and commands
	 * but the default support should be good enough for most conversations.
	 *
	 * @author Billy D. Spelchan
	 * @version 1.0
	 * Copyright (c) 2007 Blazing Games Inc. All Rights Reserved.
	*/
	public interface IScriptCommand
	{
// ***********************************************
// ***** Functions - IScriptCommand required *****
// ***********************************************

		function parseCommand(s:String):void;
		function parseQuery(s:String):Boolean;

	} // end interface
} // end package

